/*
iSun.hu
date: 2025.02.20
*/

:root {
    --ishl-color: #d4001a!important;
}

@font-face {
    font-family:"nimbus-sans";
    src:url("../fonts/nimbussansw05-regular.woff2") format("woff2"),
    url("../fonts/nimbussansw05-regular.woff") format("woff");
    font-display:swap;
    font-style:normal;
    font-weight:400;
    font-stretch:normal
}
@font-face {
    font-family:"nimbus-sans";
    src:url("../fonts/nimbussansw05-regularitalic.woff2") format("woff2"),
    url("../fonts/nimbussansw05-regularitalic.woff") format("woff");
    font-display:swap;
    font-style:italic;
    font-weight:400;
    font-stretch:normal
}
@font-face {
    font-family:"nimbus-sans";
    src:url("../fonts/nimbussansw05-bold.woff2") format("woff2"),
    url("../fonts/nimbussansw05-bold.woff") format("woff");
    font-display:swap;
    font-style:normal;
    font-weight:700;
    font-stretch:normal
}
@font-face {
    font-family:"nimbus-sans";
    src:url("../fonts/nimbussansw05-light.woff2") format("woff2"),
    url("../fonts/nimbussansw05-light.woff") format("woff");
    font-display:swap;
    font-style:normal;
    font-weight:300;
    font-stretch:normal
}
@font-face {
    font-family:"nimbus-sans";
    src:url("../fonts/nimbussansw05-lightitalic.woff2") format("woff2"),
    url("../fonts/nimbussansw05-lightitalic.woff") format("woff");
    font-display:swap;
    font-style:italic;
    font-weight:300;
    font-stretch:normal
}

*:not(pre) {
    font-family:"nimbus-sans", "Helvetica Neue", "Arial", sans-serif
}

.text-red {
    color:var(--ishl-color);
}
.bg-red {
    background-color: #d4001a!important;
}

.hotline {
    background-color: var(--ishl-color);
    height: 46px;
}




.card-img-overlay {
    background-color: rgba(0,0,0,.0);
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.card-img-overlay:hover {
    background-color: rgba(0,0,0,.2);
}
.card-img-overlay .btn {
    align-self: start;
}

header {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-white-rgb),var(--bs-bg-opacity)) !important;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.75%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}

.navbar-toggler:not(.collapsed) .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23404040' class='bi bi-x-lg' viewBox='0 0 16 16'%3E%3Cpath d='M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8z'/%3E%3C/svg%3E");
}

.hotline-wrap {
    line-height: 1.2!important;
}

.hotline-nav-item .label {
    /*color:rgba(255,255,255,1)*/
    font-size:14px;
}

.hotline-nav-item a {
    color:rgba(255,255,255,1);
    font-size:14px;
}
.hotline-nav-item a:hover {
    color:rgba(255,255,255,.55)
}

.contact-nav-item {
    font-size:11px;
}


.carousel-inner {
    aspect-ratio: 16/10;
    display: flex;
    align-content: center;
    overflow: visible;

}
.carousel-caption {
    left:0;
    bottom: 0;
    right:0;
    /*font-size:32px;*/
    /*background-color: rgba(0,0,0,.3);*/
    background-color: rgba(255,255,255,.7);
    color:black;
    text-align: left;
    /*transform: translateY(100%);*/
}

.carousel-item img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.img-col {
    position: relative;
}

.welcome-section p {
    font-size: 18px;
    line-height: 26px;
    letter-spacing: 0.05px;
}

.section-brands .card .img-col:before{
    content: "";
    position: absolute;
    z-index: 1;
    inset: 0px;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.6);
    pointer-events: none;
    transition: opacity 200ms ease-in-out;
}

.section-brands .card:hover .img-col:before{
    opacity: 1;
}


.img-col img {
    object-fit: cover;
    display: block;
    height: 100%;
    object-position: right;
}


.section-brands .card h2 {
    font-size:36px;
    line-height: 45px;
    margin-bottom:30px;
}
.section-brands .card-text  {
    font-size: 18px;
    line-height: 26px;
    letter-spacing: 0.05px;
    margin-bottom:30px;
}



@media (max-width: 991.98px){
    .navbar-brand {
        /*flex-basis: 100%;*/
        /*background-color: rgba(var(--bs-dark-rgb),var(--bs-bg-opacity)) !important;*/
    }
    .navbar-brand .logo {
        max-width: 150px;
        height:auto;
    }

    .navbar-toggler {
        background-color: white;
        transition: background-color .4s ease;

    }
    .navbar-toggler.collapsed {
        background-color: var(--ishl-color);
    }

    .mobil-mail {
        display: inline-block;
        width: 1.5em;
        height: 1.5em;
        line-height: 1.5em;
    }

    .toggler-text {
        transition: color .4s ease;
        color:var(--ishl-color);
    }
    .collapsed .toggler-text {
        color:white;
    }

    .navbar-collapse .nav-link {
        background-color: #d4001a;
        color:white;
    }
    .navbar-collapse .nav-item {
        border-bottom:1px solid #dee2e6;
    }

    .hotline-nav-item a {
        color:black;
    }
}

@media (max-width: 767.98px){

    .section-brands .card h2 {
        font-size: 26px;
        line-height: 35px;
        margin-bottom:20px;
    }
    .section-brands .card-text  {
        font-size: 16px;
        line-height: 23px;
        letter-spacing: 0.05px;
        margin-bottom:20px;
    }
}

@media (max-width: 400px){
    .carousel-item h2  {
        font-size:18px;
    }
}

@media (min-width: 768px){
    .carousel-caption {
        /*left:33.3333%;*/
        bottom:5%;
        overflow: hidden;
        text-align: end;
        background-color: transparent;
    }
    .caption-container {
        display: inline-flex;
        position: relative;

    }
    .caption-container::before {
        content:"";
        position: absolute;
        top:0;
        left:0;
        bottom:0;
        right:auto;
        width: 100%;
        background-color: rgba(255,255,255,.7);
        transform: translateX(20px) skewX(-19deg);

    }

}
@media (min-width: 992px){
    header {
        --bs-bg-opacity: 1;
        background-color: rgba(var(--bs-dark-rgb),var(--bs-bg-opacity)) !important;
    }

    .navbar {
        /*height: 115px;*/
        height: auto;
        border-bottom:2px solid #d4001a;
    }
    .navbar > .container-fluid,
    .navbar .navbar-collapse {
        /*align-items:stretch;*/
    }

    .nav-link:focus, .nav-link:hover {
        --bs-nav-link-hover-color:white;
    }

    .navbar-nav {
        flex-grow:1;
    }

    .hotline-nav-item {
        background-color:#d4001a;
        color:white;
        position: relative;
        /*text-shadow: 1px 2px 0 black;*/
    }

    .hotline-nav-item:before {
        content: "";
        position: absolute;
        width: calc(100%);
        left: -2.75rem;
        right: auto;
        top: 0;
        bottom: 0;
        background-color: #d4001a;
        transform: translateX(20px) skewX(-21deg);
        opacity:1;
    }

    .hotline-nav-item .label {
        color:rgba(255,255,255,1)
    }

    .logo {
        max-width: 140px;
        height: auto;
        /*margin-inline:16px;*/
    }

    .navbar-nav .nav-item {
        /*flex-basis: 100%;*/
        font-size:14px;
        margin-right:1rem;
    }

    .carousel-inner {
        aspect-ratio: auto;
        /*display: flex;*/
        /*align-content: center;*/
        /*max-height: 100%;*/
        height: calc(100dvh - 92px);
    }


}


@media (min-width: 1200px){



    .logo {
        /*max-width: none;*/
        /*height: auto;*/
        margin-inline:32px;

    }

    .navbar-nav .nav-item {
        /*flex-basis: 100%;*/
        font-size:16px;
        margin-right:2rem;
    }

    .carousel-inner {
        aspect-ratio: auto;
        /*display: flex;*/
        /*align-content: center;*/
        /*max-height: 100%;*/
        height: calc(100dvh - 92px);
    }


}

.footer-logo p {
    font-size:18px;
}
